Bug 20135 - Staff client language choose pop-up can appear off-screen
Summary: Staff client language choose pop-up can appear off-screen
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19851
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-05 14:10 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot showing the off-screen menu (10.21 KB, image/png)
2018-02-05 14:10 UTC, Owen Leonard
Details
Bug 20135: Staff client language choose pop-up can appear off-screen (7.30 KB, patch)
2018-02-05 16:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20135: Staff client language choose pop-up can appear off-screen (7.36 KB, patch)
2018-02-12 14:44 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20135: Prevent staff client language choose pop-up from appearing off-screen (7.44 KB, patch)
2018-02-13 06:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-02-05 14:10:28 UTC
Created attachment 71231 [details]
Screenshot showing the off-screen menu

In the staff client, the language-selection menu pop-up at the bottom of the page can appear off-screen under some circumstances:

- StaffLangSelectorMode is set to "only footer" or "both top and footer"
- The first language option (from left to right) includes more than one choice (for example: en-US and en-GB).
Comment 1 Owen Leonard 2018-02-05 16:05:36 UTC
Created attachment 71234 [details] [review]
Bug 20135: Staff client language choose pop-up can appear off-screen

This patch fixes a bug which was introduced by Bug 19851 ("Improve
responsive layout handling of staff client menu bar."). The changes in
that patch did not take into account the effects it would have on the
language menus in the footer.

This patch adds some additional classes to some menus and adds some CSS
for those classes so that menus are correctly aligned left or right
based on their position on the screen.

To test, apply the patch and clear your cache if necessary. You should
have multiple translations installed and enabled, at least one of which
should have more than one "sub-language" (e.g. en-GB and en-US).

In the staff client, test the appearance of various drop-down menus with
the browser width above and below 800 pixels wide:

- Search and More menus in the header
- User/Library menu in the header
- Language selection in the footer
- Language selection in the header

In all cases, menus should look correct and should not be aligned in
such a way that they disappear off the left or right sides of the
screen.
Comment 2 Claire Gravely 2018-02-12 14:44:32 UTC
Created attachment 71479 [details] [review]
Bug 20135: Staff client language choose pop-up can appear off-screen

This patch fixes a bug which was introduced by Bug 19851 ("Improve
responsive layout handling of staff client menu bar."). The changes in
that patch did not take into account the effects it would have on the
language menus in the footer.

This patch adds some additional classes to some menus and adds some CSS
for those classes so that menus are correctly aligned left or right
based on their position on the screen.

To test, apply the patch and clear your cache if necessary. You should
have multiple translations installed and enabled, at least one of which
should have more than one "sub-language" (e.g. en-GB and en-US).

In the staff client, test the appearance of various drop-down menus with
the browser width above and below 800 pixels wide:

- Search and More menus in the header
- User/Library menu in the header
- Language selection in the footer
- Language selection in the header

In all cases, menus should look correct and should not be aligned in
such a way that they disappear off the left or right sides of the
screen.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-02-13 06:34:01 UTC
Created attachment 71533 [details] [review]
Bug 20135: Prevent staff client language choose pop-up from appearing off-screen

This patch fixes a bug which was introduced by Bug 19851 ("Improve
responsive layout handling of staff client menu bar."). The changes in
that patch did not take into account the effects it would have on the
language menus in the footer.

This patch adds some additional classes to some menus and adds some CSS
for those classes so that menus are correctly aligned left or right
based on their position on the screen.

To test, apply the patch and clear your cache if necessary. You should
have multiple translations installed and enabled, at least one of which
should have more than one "sub-language" (e.g. en-GB and en-US).

In the staff client, test the appearance of various drop-down menus with
the browser width above and below 800 pixels wide:

- Search and More menus in the header
- User/Library menu in the header
- Language selection in the footer
- Language selection in the header

In all cases, menus should look correct and should not be aligned in
such a way that they disappear off the left or right sides of the
screen.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-13 16:00:38 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-02-26 11:41:55 UTC
Awesome work all! Pushed to stable for 17.11.03